Qt Reference Documentation

# Obsolete Members for QWidget

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QWidget class reference

## Public Functions

bool | isEnabledToTLW () const`(obsolete)`
bool | isTopLevel () const`(obsolete)`
QWidget * | topLevelWidget () const`(obsolete)`

## Protected Functions

virtual void | languageChange ()`(obsolete)`
void | resetInputContext ()`(obsolete)`

## Member Function Documentation

### bool QWidget::isEnabledToTLW () const

This function is deprecated. It is equivalent to isEnabled()

### bool QWidget::isTopLevel () const

Use isWindow() instead.

### void QWidget::languageChange ()`[virtual protected]`

### void QWidget::resetInputContext ()`[protected]`

This function can be called on the widget that currently has focus to reset the input method operating on it.

This function is providing for convenience, instead you should use reset() on the input context that was returned by inputContext().

See also QInputContext, inputContext(), and QInputContext::reset().

### QWidget * QWidget::topLevelWidget () const

Use window() instead.